#!/usr/bin/env python

import connexion

from src import encoder

def main():
    app = connexion.App(__name__, specification_dir='../api')
    app.app.json_encoder = encoder.JSONEncoder
    app.add_api('engine.yaml', arguments={'title': 'AURA Engine API'}, pythonic_params=True)
    app.run(port=8008)

if __name__ == '__main__':
    main()
